import { EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import { BarComponent } from './bar.component';
export declare class TabDirective implements OnDestroy, OnChanges {
    /** 选项卡名称 */
    heading: string;
    /** 是否禁用 */
    disabled: boolean;
    /** icon图标，支持HTML */
    icon: string;
    /** 激活时icon图标，支持HTML */
    activeIcon: string;
    /** 徽章内容，支持数字或圆点 */
    badge: number | 'dot';
    /** 当tab激活时触发 */
    readonly select: EventEmitter<TabDirective>;
    /** 当tab无效时触发 */
    readonly deselect: EventEmitter<TabDirective>;
    /** 当tab移除时触发 */
    readonly removed: EventEmitter<TabDirective>;
    /**
     * 激活
     */
    get active(): boolean;
    set active(active: boolean);
    protected _active: boolean;
    protected _tabComp: BarComponent;
    constructor(tab: BarComponent);
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
